<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.60
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."revelation_point_system/infusion_db.php";

if (file_exists(INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php")) {
	include INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."revelation_point_system/locale/Polish.php";
}

$inf_title = $locale['rps_title'];
$inf_description = $locale['rps_desc'];
$inf_version = "1.60";
$inf_developer = "Yodix";
$inf_email = "yodix@on-deck.eu";
$inf_weburl = "http://www.on-deck.eu";

$inf_folder = "revelation_point_system"; 

$inf_newtable[1] = DB_RPS_SETTINGS." (
rpss_name VARCHAR(200) NOT NULL DEFAULT '',
rpss_value TEXT NOT NULL,
PRIMARY KEY (rpss_name)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_RPS_SETTINGS." (rpss_name, rpss_value) VALUES ('version', '1.5')";
$inf_insertdbrow[2] = DB_RPS_SETTINGS." (rpss_name, rpss_value) VALUES ('newthread', '5')";
$inf_insertdbrow[3] = DB_RPS_SETTINGS." (rpss_name, rpss_value) VALUES ('reply', '2')";
$inf_insertdbrow[4] = DB_RPS_SETTINGS." (rpss_name, rpss_value) VALUES ('shoutbox', '1')";

$inf_droptable[1] = DB_RPS_SETTINGS;

$inf_altertable[1] = DB_USERS." ADD user_points MEDIUMINT(8) NOT NULL DEFAULT '0' AFTER user_threads";

$inf_adminpanel[1] = array(
	"title" => $locale['rps_admin1'],
	"image" => "rps.png",
	"panel" => "revelation_point_system_admin.php",
	"rights" => "RPS"
);
$inf_sitelink[1] = array(
	"title" => $locale['rps_link1'],
	"url" => "revelation_bank.php",
	"visibility" => "0"
);
?>