<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: revelation_bank.php
| CVS Version: 1.60
| Author: Yodix
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."revelation_point_system/infusion_db.php";

if (file_exists(INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php")) {
	include INFUSIONS."revelation_point_system/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."revelation_point_system/locale/English.php";
}

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['rps_031'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['rps_032'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['rps_033'];
	} elseif ($_GET['error'] == 3) {
		$message = $locale['rps_034'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

if (isset($_POST['givepoints'])) {
$error = 0;
$gp = (isnum($_POST['give']) ? $_POST['give'] : 0);
if ($gp != "0") {
if ($userdata['user_points'] >= $gp) {
$result = dbquery("UPDATE ".DB_USERS." SET user_points=user_points+".$_POST['give']." WHERE user_name='".$_POST['usernick']."'");
if (!$result) { $error = 1; }
$result = dbquery("UPDATE ".DB_USERS." SET user_points=user_points-".$_POST['give']." WHERE user_id='".$userdata['user_id']."'");
if (!$result) { $error = 1; }
redirect(FUSION_SELF.$aidlink."&error=".$error);
} else {
$error = 2;
redirect(FUSION_SELF.$aidlink."&error=".$error);
}
} else {
$error = 3;
redirect(FUSION_SELF.$aidlink."&error=".$error);
}
}

opentable("".$locale['rps_027']." ".$userdata['user_name']."");
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_028'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='usernick' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['rps_029'].":</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='give' maxlength='2' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='givepoints' value='".$locale['rps_030']."' class='button' />\n</td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>